Get a beneficiary of a plan Run in API Explorer
Ask AI
GET
/api/v1/plans/{plan_uuid}/beneficiary/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/plans/6ff8f7f6-1eb3-3525-be4a-3932c805afed/beneficiary/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "1f8aebf7-cfe0-4020-8930-25f8d983ccb4",
"created_at": "2026-10-07T23:35:47+01:00",
"updated_at": "2026-10-07T23:35:47+01:00",
"name": "Beneficiary name",
"percentage": 50,
"cover": {
"uuid": "5ef18cc0-9795-4490-bd4f-669c898fad9d",
"created_at": "2026-10-07T23:35:47+01:00",
"updated_at": "2026-10-07T23:35:47+01:00",
"cover_type": "critical_illness",
"benefit_amount": {
"amount": {
"example": "25000000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£250,000.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"benefit_frequency": "monthly",
"benefit_status": "active",
"excess": {
"amount": {
"example": "10000",
"description": "Money amount at their lowest denominator (for example: pennies)"
},
"formatted": {
"example": "£100.00",
"description": "Money amount formatted with currency"
},
"currency": {
"example": "GBP",
"description": "Currency of the money"
}
},
"indexation": 1.4,
"client": {
"uuid": "88258da4-5b1e-4183-8890-f2709683004f",
"created_at": "2026-10-07T23:35:50+01:00",
"updated_at": "2026-10-07T23:35:50+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-10-07T23:35:50+01:00",
"next_review_date": "2026-10-07T23:35:50+01:00",
"previous_review_date": "2026-10-07T23:35:50+01:00",
"anniversary_review_date": "2026-10-07T23:35:50+01:00",
"terms_of_business_at": "2026-10-07T23:35:50+01:00",
"client_agreement_at": "2026-10-07T23:35:50+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-10-07",
"last_interaction_at": "2026-10-07 23:35:50",
"referral_code": "ABC12345",
"is_out_of_office": true,
"out_of_office_from": "2026-10-07T23:35:50+01:00",
"out_of_office_until": "2026-10-07T23:35:50+01:00",
"out_of_office_message": "I am away this week. For urgent matters please contact the office.",
"is_pending_fact_find_account": false,
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
}
}
}